12 Replies Latest reply: Apr 6, 2011 11:40 AM by Priscila Britto RSS

    The New BPMN 2.0 Editor Has Arrived

    Koen Aers Master

      Read about it in my blog. All feedback is welcome here.

       

      Cheers,

      Koen

        • 1. Re: The New BPMN 2.0 Editor Has Arrived
          Mauricio Salatino Master

          Awesome! I will post it in my blog!

          • 2. Re: The New BPMN 2.0 Editor Has Arrived
            Albert Hernandez Newbie

            Is there someplace that describes what you have to do to get the xml to work in the JBPM 5.0 engine?

             

            Thanks,

             

            Albert

            • 3. Re: The New BPMN 2.0 Editor Has Arrived
              Koen Aers Master

              Hi Albert,

               

              At this time, the best place would be the jBPM Users Guide and the unit tests in the jBPM sources. I'll work out some examples in the near future.

               

              Cheers,

              Koen

              • 4. Re: The New BPMN 2.0 Editor Has Arrived
                John Graham Newbie

                This is nice temporary measure to wrap up the initial prototype. But calling it the "New BPMN 2 editor" is misleading: In the new year, Kris will be working with a team to provide a replacement editor based on a modern graphical framework and model. Kris, as the jBPM 5 lead, will have more to say about this going forward.

                • 5. Re: The New BPMN 2.0 Editor Has Arrived
                  helal jean-noel Newbie

                  Hi Koen

                   

                  Impressive new !!!.

                   

                  We are using JBPM4.4 and JPDL at this time.

                   

                  1/ My plan is to move first to BPMN2.0 then later to JBPM5. This is because JBPM5 is somewhat new but still announced as the next major release. Therefore we have to prepare ourselves knowing JBPM5 do not support JPDL. Since JBPM4.4 do support BPMN 2.0 can you confirm using your BPMN 2.0 editor along with GPD editor in eclipse and JBPM4.4 run time is ok.

                   

                  2/ is there any eclipse version requirement for your editor (I remember GDP shipped along with JBPM.4.3 was not compatible with eclipse 3.4  GANYMEDE). Is it compatible with GALILEO or HELIOS or both ?

                   

                  3/ The JBPM5 project talk about a migration tool from JPDL to BPMN2.0 do you know if something is availlable, and perhaps have you experienced yourself  ?

                   

                  Thanks

                  • 6. Re: The New BPMN 2.0 Editor Has Arrived
                    Koen Aers Master

                    Hi Jean-Noel,

                     

                    I think there shouldn't be any issues with using both the BPMN 2.0 editor as the jBPM 4 GPD in one Eclipse installation. I did not test it though. I also didn't test whether the BPMN 2.0 editor works in Ganymede. It was developed against Helios.

                    As for a migration tool, Eric Shabell and team are working on a project to migrate jBPM 3 to jBPM 5. Talk to them if you want to include the migration from jBPM 4. Also, if you just want to translate the jPDL files to BPMN it should be possible with an XSLT transformation.

                     

                    Cheers,

                    Koen

                    • 7. The New BPMN 2.0 Editor Has Arrived
                      Mauricio Salatino Master

                      Hi  Koen,

                      I'm writting right now a free community training course for jBPM5 and I wanna know if you have updated versions for the plugin. So, I can use it to show people how to build their processes. One of the required things is to include a businessRuleTask that was not included in the version that you put on your blog post.

                      Greetings.

                      • 8. The New BPMN 2.0 Editor Has Arrived
                        Koen Aers Master

                        Hi Mauricio,

                         

                        I'm a bit busy working on other stuff right now but I'll see what I can do some lonely and boring evening later this week. It's not a big deal adding another node type. ;-)

                         

                        Cheers,

                        Koen

                        • 9. The New BPMN 2.0 Editor Has Arrived
                          helal jean-noel Newbie

                          Hi Koen and Mauricio

                           

                          Just for information,

                          you may mention somewhere in the doc that HELIOS (ECLIPSE 3.6) is required for this plugin

                          Regards.

                          • 10. The New BPMN 2.0 Editor Has Arrived
                            Koen Aers Master

                            Hi Mauricio,

                             

                            I have added the business rule task as well as some more attractive BPMN 2 icons. Look at the screenshot in my blog.

                             

                            And Jean-Noel, it is indeed brewed on Helios. But that should not be much of a problem, right?

                             

                            Cheers,

                            Koen

                            • 11. The New BPMN 2.0 Editor Has Arrived
                              helal jean-noel Newbie

                              Hi Koen

                               

                              Big up  again  !!!

                               

                              No problem with Helios of course !

                               

                              Regards

                              JNH

                              • 12. Re: The New BPMN 2.0 Editor Has Arrived
                                Priscila Britto Newbie

                                Hi Koen,

                                 

                                When I tryed to install the plugin I have a problem. Near the final instalation, it show the message below and don't finish intall. I used a Eclipse Helios in 3.6 version. And I tryed some times. Is there any requirements? Do you help me please?

                                 

                                Cannot complete the install because one or more required items could not be found.

                                  Software being installed: BPMN 2.0 Tools 1.0.0.201102092332 (org.jboss.tools.bpmn2.feature.feature.group 1.0.0.201102092332)

                                  Missing requirement: GMF SVG Support 1.0.0.v20090615-0828 (org.eclipse.gmf.runtime.lite.svg 1.0.0.v20090615-0828)

                                requires 'bundle org.apache.batik.bridge [1.6.0,1.7.0)' but it could not be found

                                  Cannot satisfy dependency:

                                    From: BPMN 2.0 Tools 1.0.0.201102092332 (org.jboss.tools.bpmn2.feature.feature.group 1.0.0.201102092332)

                                    To: org.eclipse.gmf.runtime.lite.svg [1.0.0.v20090615-0828]

                                 

                                 

                                *Sorry my English.

                                 

                                Best Regards,

                                Priscila Britto